Stream TTS Audio

Stream text-to-speech audio in real-time as binary data.

Request Parameters

ParameterRequiredDescription
textYesThe text to convert to speech
localeNoLanguage/locale for text normalization
output_formatNoAudio format: mp3 (default), wav, or pcm

Response Formats

Set the Accept header to specify the desired audio format:

  • audio/mpeg - MP3 format (default)
  • audio/wav - WAV format
  • audio/pcm - Raw PCM format

Example

Select "StreamingTTSRequest" from the Examples dropdown to see the request format.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
string
required
length ≥ 1
string
length ≥ 1
string
enum
Defaults to mp3
  • pcm_24000 - pcm_24000
  • pcm_44100 - pcm_44100
  • wav_24000 - wav_24000
  • wav_44100 - wav_44100
  • mp3_44100 - mp3_44100
  • mp3 - mp3
  • wav - wav
  • pcm - pcm
Headers
string
enum
Defaults to audio/mpeg

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

400

Bad Request - Invalid input data or parameters.

401

Unauthorized - Invalid or missing authentication credentials.

403

Forbidden - You do not have permission to perform this action.

404

Not Found - The requested resource could not be found.

405

Method Not Allowed - Invalid HTTP method

406

Not Acceptable - Invalid request accept headers

415

Unsupported Media Type - Invalid content type

500

Internal Server Error - An unexpected error occurred.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
audio/mpeg
audio/wav
audio/pcm